package iot.lidee.iot.data.service;

import iot.lidee.common.core.mq.message.DeviceMessage;
import iot.lidee.common.core.thingsModel.ThingsModelSimpleItem;
import iot.lidee.iot.model.VariableReadVO;
import iot.lidee.modbus.model.ModbusRtu;

import java.util.List;

/**
 * 设备消息Service接口
 */
public interface IDeviceMessageService {

    void messagePost(DeviceMessage deviceMessage);

    String messageEncode(ModbusRtu modbusRtu);

    List<ThingsModelSimpleItem> messageDecode(DeviceMessage deviceMessage);


    /**
     * 变量读取
     * @param readVO
     */
    public void readVariableValue(VariableReadVO readVO);
}
